#include <stdio.h>

/*
class Dog
{
public:
	virtual void Bark() { printf("mung mung\r\n"); }
};

class MadDog : public Dog
{
public:
	virtual void Bark() { printf("yaong yaong\r\n"); }
};

void KickDog(Dog *pDog)
{
	pDog->Bark();
}

void main()
{
	Dog Happy;
	MadDog DdangChil;

	KickDog(&Happy);
	KickDog(&DdangChil);
}
//*/

//*
template <typename T> class DogBase
{
public:
	void KickDog() 
	{
		T* pDog=(T *)this;
		pDog->Bark();
	}
};

class Dog : public DogBase<Dog>
{
public:
	void Bark() { printf("mung mung\r\n"); }
};

class MadDog : public DogBase<MadDog>
{
public:
	void Bark() { printf("yaong yaong\r\n"); }
};

class DrunkenDog : public DogBase<MadDog>
{
public:
	void Drink() { printf("one shot\r\n"); }
};

void main()
{
	Dog Happy;
	MadDog DdangChil;

	Happy.KickDog();
	DdangChil.KickDog();

	DrunkenDog JJong;
	JJong.KickDog();
	JJong.Drink();
}
//*/